Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Interface WindowManager.Component

All Superinterfaces:
  Serializable

Enclosing class:
  WindowManager

Deprecated. Do not use anymore. This interface is replaced by bunch of protedcted methods which name starts with topComponent prefix, i.e. `WindowManager.topComponentOpen(org.openide.windows.TopComponent)`, `WindowManager.topComponentClose(org.openide.windows.TopComponent)` etc.

    protected static interface WindowManager.Component

extends Serializable

A manager that handles operations on top components. It is always attached to a `TopComponent`.

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`void` | `close(Workspace workspace)` Deprecated. Closes this component on a given workspace.
`Node[]` | `getActivatedNodes()` Deprecated. Get the set of activated nodes.
`Image` | `getIcon()` Deprecated. Gets the icon associated with this component.
`void` | `nameChanged()` Deprecated. Called when the name of the top component changes.
`void` | `open()` Deprecated. Open the component on current workspace
`void` | `open(Workspace workspace)` Deprecated. Opens this component on a given workspace.
`void` | `requestFocus()` Deprecated. Called when the component requests focus.
`void` | `requestVisible()` Deprecated. Set this component visible but not selected or focused if possible.
`void` | `setActivatedNodes(Node[] nodes)` Deprecated. Set the set of activated nodes for this component.
`void` | `setIcon(Image icon)` Deprecated. Set the icon of the top component.
`Set` | `whereOpened()` Deprecated. Gets a list of workspaces where this component is currently open.

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  Do not use.

  See Also:
    Constant Field Values

Method Detail

### open

    void open()

  Deprecated.
  Open the component on current workspace

### open

    void open(Workspace workspace)

  Deprecated.
  Opens this component on a given workspace.

  Parameters:
    `workspace` - the workspace on which to open it

### close

    void close(Workspace workspace)

  Deprecated.
  Closes this component on a given workspace.

  Parameters:
    `workspace` - the workspace on which to close it

### requestFocus

    void requestFocus()

  Deprecated.
  Called when the component requests focus. Moves it to be visible.

### requestVisible

    void requestVisible()

  Deprecated.
  Set this component visible but not selected or focused if possible. If focus is in other container (multitab) or other pane (split) in the same container it makes this component only visible eg. it selects tab with this component. If focus is in the same container (multitab) or in the same pane (split) it has the same effect as requestFocus().

### getActivatedNodes

    Node[] getActivatedNodes()

  Deprecated.
  Get the set of activated nodes.

  Returns:
    currently activated nodes for this component

### setActivatedNodes

    void setActivatedNodes(Node[] nodes)

  Deprecated.
  Set the set of activated nodes for this component.

  Parameters:
    `nodes` - new set of activated nodes

### nameChanged

    void nameChanged()

  Deprecated.
  Called when the name of the top component changes.

### setIcon

    void setIcon(Image icon)

  Deprecated.
  Set the icon of the top component.

  Parameters:
    `icon` - the new icon

### getIcon

    Image getIcon()

  Deprecated.
  Gets the icon associated with this component.

  Returns:
    the icon

### whereOpened

    Set whereOpened()

  Deprecated.
  Gets a list of workspaces where this component is currently open.

  Returns:
    the set of workspaces where the managed component is open

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.